/**
 * 公司服务页样式
 */
.section {
  width: 100%;
}
.section-content {
  padding-top: 56px;
  padding-bottom: 24px;
}
.section-name {
  font-size: 20px;
  color: #000000;
  margin-bottom: 8px;
}
.section-tips {
  font-weight: 500;
  font-size: 16px;
  color: rgba(0, 0, 0, 0.65);
}
.section-desc-item {
  font-size: 16px;
  color: rgba(0, 0, 0, 0.45);
}
.margin-bottom-8 {
  margin-bottom: 8px;
}
.section-row {
  flex: 1;
  margin: 0 24px;
}
.section-flex {
  display: flex;
  align-items: flex-start;
  justify-content: flex-start;
  flex-wrap: wrap;
}
.section-flex-1 {
  flex: 1;
}
.margin-right-24 {
  margin-right: 24px;
}
.services-section {
  position: relative;
  height: 630px;
  overflow: hidden;
}
.services-bg-layer {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  transition: opacity 0.5s ease;
}
.services-section-inner {
  position: relative;
  z-index: 1;
  height: 100%;
  padding-top: 56px;
}
.section-card {
  width: 496px;
  height: 270px;
  flex-shrink: 0;
}
.services-title {
  font-weight: 500;
  font-size: 30px;
  color: #ffffff;
  margin-bottom: 24px;
  text-align: center;
}
.section-desc-item {
  font-size: 14px;
}
.services-items-wrap {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.services-item {
  width: 204px;
  height: 440px;
  box-sizing: border-box;
  border-radius: 5px;
  position: relative;
  overflow: hidden;
  transition: width 0.5s;
}
.services-item-active {
  width: 320px;
  flex-shrink: 0;
}
.services-item img {
  width: 100%;
  height: 100%;
  border-radius: 5px;
  -o-object-fit: cover;
  object-fit: cover;
}
.services-item-name {
  position: absolute;
  bottom: 52px;
  left: 50%;
  transform: translateX(-50%);
  font-weight: 500;
  font-size: 20px;
  color: #ffffff;
  width: 100%;
  text-align: center;
  padding: 0 16px;
  box-sizing: border-box;
}
.services-item-content {
  position: absolute;
  bottom: 16px;
  padding: 0 16px;
  color: #ffffff;
  z-index: -1;
  width: 320px;
  box-sizing: border-box;
  opacity: 0;
  transform: translateX(-110%);
  transition:
    opacity 0.5s,
    transform 0.5s;
}
.services-item-content_active {
  opacity: 1;
  transform: translateX(0);
  z-index: 12;
}

.services-item-content .services-item-title {
  font-weight: 500;
  font-size: 20px;
  text-align: left;
}
.services-item-content .section-desc-item {
  color: #ffffff;
}

.section-name-mobile {
  font-size: 20px;
  font-weight: 500;
  color: #000000;
  margin-bottom: 8px;
}
.section-card-mobile {
  width: 100%;
  height: 200px;
  border-radius: 10px;
}
.services-title-mobile {
  font-size: 24px;
  color: #000000;
  font-weight: 500;
  text-align: center;
  margin-bottom: 24px;
}
@media (max-width: 640px) {
  .section-content {
    padding: 24px 0;
  }
  .section-name {
    margin-bottom: 8px;
    font-weight:bold;
    font-size: 20px;
  }
  .services-section-inner {
    padding-top: 24px;
  }
  .services-section  {
    height: auto;
  }
  .services-items-wrap {
    flex-wrap: wrap;
  }
  .services-item  {
    width: 100%;
    height: auto;
    margin-bottom: 24px;
  }
  .common-card {
    width: 100%;
    height: 200px;
  }
}
